> ## Documentation Index
> Fetch the complete documentation index at: https://docs.near.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Split Storage Info

> Contains the split storage information. More info on split storage [here](https://near-nodes.io/archival/split-storage-archival)



## OpenAPI

````yaml /openapi.json post /EXPERIMENTAL_split_storage_info
openapi: 3.0.0
info:
  title: NEAR Protocol JSON RPC API
  version: 1.2.3
servers:
  - url: https://rpc.mainnet.near.org
    description: Mainnet
  - url: https://rpc.testnet.near.org
    description: Testnet
security: []
paths:
  /EXPERIMENTAL_split_storage_info:
    post:
      summary: Split Storage Info
      description: >-
        Contains the split storage information. More info on split storage
        [here](https://near-nodes.io/archival/split-storage-archival)
      operationId: EXPERIMENTAL_split_storage_info
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/JsonRpcRequest_for_EXPERIMENTAL_split_storage_info
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JsonRpcResponse_for_RpcSplitStorageInfoResponse_and_RpcSplitStorageInfoError
components:
  schemas:
    JsonRpcRequest_for_EXPERIMENTAL_split_storage_info:
      properties:
        id:
          type: string
        jsonrpc:
          type: string
        method:
          enum:
            - EXPERIMENTAL_split_storage_info
          type: string
        params:
          $ref: '#/components/schemas/RpcSplitStorageInfoRequest'
      required:
        - jsonrpc
        - id
        - params
        - method
      title: JsonRpcRequest_for_EXPERIMENTAL_split_storage_info
      type: object
    JsonRpcResponse_for_RpcSplitStorageInfoResponse_and_RpcSplitStorageInfoError:
      oneOf:
        - $ref: >-
            #/components/schemas/JsonRpcResponse_for_RpcSplitStorageInfoResponse_and_RpcSplitStorageInfoError_variant0
        - $ref: >-
            #/components/schemas/JsonRpcResponse_for_RpcSplitStorageInfoResponse_and_RpcSplitStorageInfoError_variant1
      properties:
        id:
          type: string
        jsonrpc:
          type: string
      required:
        - jsonrpc
        - id
      title: >-
        JsonRpcResponse_for_RpcSplitStorageInfoResponse_and_RpcSplitStorageInfoError
      type: object
    RpcSplitStorageInfoRequest:
      title: RpcSplitStorageInfoRequest
      type: object
    JsonRpcResponse_for_RpcSplitStorageInfoResponse_and_RpcSplitStorageInfoError_variant0:
      properties:
        result:
          $ref: '#/components/schemas/RpcSplitStorageInfoResponse'
      required:
        - result
      type: object
    JsonRpcResponse_for_RpcSplitStorageInfoResponse_and_RpcSplitStorageInfoError_variant1:
      properties:
        error:
          $ref: '#/components/schemas/ErrorWrapper_for_RpcSplitStorageInfoError'
      required:
        - error
      type: object
    RpcSplitStorageInfoResponse:
      description: Contains the split storage information.
      properties:
        cold_head_height:
          format: uint64
          minimum: 0
          nullable: true
          type: integer
        final_head_height:
          format: uint64
          minimum: 0
          nullable: true
          type: integer
        head_height:
          format: uint64
          minimum: 0
          nullable: true
          type: integer
        hot_db_kind:
          nullable: true
          type: string
      type: object
    ErrorWrapper_for_RpcSplitStorageInfoError:
      oneOf:
        - $ref: >-
            #/components/schemas/ErrorWrapper_for_RpcSplitStorageInfoError_variant0
        - $ref: >-
            #/components/schemas/ErrorWrapper_for_RpcSplitStorageInfoError_variant1
        - $ref: >-
            #/components/schemas/ErrorWrapper_for_RpcSplitStorageInfoError_variant2
    ErrorWrapper_for_RpcSplitStorageInfoError_variant0:
      properties:
        cause:
          $ref: '#/components/schemas/RpcRequestValidationErrorKind'
        name:
          enum:
            - REQUEST_VALIDATION_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    ErrorWrapper_for_RpcSplitStorageInfoError_variant1:
      properties:
        cause:
          $ref: '#/components/schemas/RpcSplitStorageInfoError'
        name:
          enum:
            - HANDLER_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    ErrorWrapper_for_RpcSplitStorageInfoError_variant2:
      properties:
        cause:
          $ref: '#/components/schemas/InternalError'
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    RpcRequestValidationErrorKind:
      oneOf:
        - $ref: '#/components/schemas/RpcRequestValidationErrorKind_variant0'
        - $ref: '#/components/schemas/RpcRequestValidationErrorKind_variant1'
    RpcSplitStorageInfoError:
      oneOf:
        - $ref: '#/components/schemas/RpcSplitStorageInfoError_variant0'
    InternalError:
      oneOf:
        - $ref: '#/components/schemas/InternalError_variant0'
    RpcRequestValidationErrorKind_variant0:
      properties:
        info:
          properties:
            method_name:
              type: string
          required:
            - method_name
          type: object
        name:
          enum:
            - METHOD_NOT_FOUND
          type: string
      required:
        - name
        - info
      type: object
    RpcRequestValidationErrorKind_variant1:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - PARSE_ERROR
          type: string
      required:
        - name
        - info
      type: object
    RpcSplitStorageInfoError_variant0:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - info
      type: object
    InternalError_variant0:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - info
      type: object

````